/*
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.inteligr8.alfresco.activiti;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

import com.inteligr8.rs.ClientJerseyImpl;

/**
 * This class provides a POJO &amp; Spring-based implementation of the Jersey
 * client configured for APS.  You can use it outside of the Spring context,
 * but you will need the spring-context and spring-beans libraries in your
 * non-Spring application.
 * 
 * @author brian@inteligr8.com
 */
@Component("aps.client.jersey")
@Lazy
public class ApsClientJerseyImpl extends ClientJerseyImpl {
	
	/**
	 * This constructor is for Spring and POJO use
	 */
	@Autowired
	public ApsClientJerseyImpl(ApsClientJerseyConfiguration config) {
		super(config);
	}

}
