/*
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.inteligr8.alfresco.activiti;

import org.junit.jupiter.api.BeforeAll;

import com.inteligr8.rs.ClientConfiguration;

public class ConnectionJerseyClientPojoIT extends ConnectionClientIT {
	
	private static ApsPublicRestApiImpl api;
	
	@BeforeAll
	public static void initClient() {
		ApsClientJerseyConfiguration config = new ApsClientJerseyConfiguration();
		config.setBaseUrl("http://localhost:8080/activiti-app");
		config.setBasicAuthUsername("admin");
		config.setBasicAuthPassword("admin");
		
		api = new ApsPublicRestApiJerseyImpl(
				new ApsClientJerseyImpl(config));
	}
	
	public ApsPublicRestApiImpl getApi() {
		return api;
	}
	
	@Override
	public ClientConfiguration getConfiguration() {
		return api.getClient().getConfig();
	}

}
